package main

import (
	"git.umbach.dev/app-idea/mailer/modules/config"
	"git.umbach.dev/app-idea/mailer/modules/mailer"
	"git.umbach.dev/app-idea/mailer/modules/rabbitmq"
	log "github.com/sirupsen/logrus"
)

func main() {
	//app := fiber.New()

	config.LoadConfig()

	cfg := &config.Cfg.Server

	if cfg.Debug {
		log.SetLevel(log.DebugLevel)
	}

	mailer.InitMailer()

	//router.SetupRoutes(app)

	rabbitmq.Init()

	//app.Listen(cfg.Host)
}
